Package com.independentsoft.office.diagrams

# Class Scene3D

java.lang.Object
com.independentsoft.office.diagrams.Scene3D

public class Scene3D extends Object
The Class Scene3D.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Scene3D()`
  Instantiates a new scene3 d.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Scene3D`
  `clone()`
  `Backdrop`
  `getBackdrop()`
  Gets the backdrop.
  `Camera`
  `getCamera()`
  Gets the camera.
  `ExtensionList`
  `getExtensionList()`
  Gets the extension list (`a:extLst`).
  `LightRig`
  `getLightRig()`
  Gets the light rig.
  `void`
  `setBackdrop​(Backdrop backdrop)`
  Sets the backdrop.
  `void`
  `setCamera​(Camera camera)`
  Sets the camera.
  `void`
  `setExtensionList​(ExtensionList extensionList)`
  Sets the extension list (`a:extLst`).
  `void`
  `setLightRig​(LightRig lightRig)`
  Sets the light rig.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Scene3D

    public Scene3D()
    Instantiates a new scene3 d.

- ## Method Details

  - ### clone

    public Scene3D clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getExtensionList

    public ExtensionList getExtensionList()
    Gets the extension list (`a:extLst`).
    Returns:
      the extension list

  - ### setExtensionList

    public void setExtensionList​(ExtensionList extensionList)
    Sets the extension list (`a:extLst`).
    Parameters:
      `extensionList` - the new extension list

  - ### getBackdrop

    public Backdrop getBackdrop()
    Gets the backdrop.
    Returns:
      the backdrop

  - ### setBackdrop

    public void setBackdrop​(Backdrop backdrop)
    Sets the backdrop.
    Parameters:
      `backdrop` - the new backdrop

  - ### getCamera

    public Camera getCamera()
    Gets the camera.
    Returns:
      the camera

  - ### setCamera

    public void setCamera​(Camera camera)
    Sets the camera.
    Parameters:
      `camera` - the new camera

  - ### getLightRig

    public LightRig getLightRig()
    Gets the light rig.
    Returns:
      the light rig

  - ### setLightRig

    public void setLightRig​(LightRig lightRig)
    Sets the light rig.
    Parameters:
      `lightRig` - the new light rig